package org.imageclef.flickr;

public class Extension {
	public static String get(String name) {
		if (name == null)
			return null;
		// get position of last '.'
		int pos = name.lastIndexOf(".");
		// return nothing when it doesn't contain an extension
		if (pos == -1)
			return "";
		// otherwise return the string after the dot
		if (pos + 1 > name.length())
			return "";
		return name.substring(pos + 1);
	}

	public static String remove(String name) {
		if (name == null)
			return null;
		// get position of last '.'
		int pos = name.lastIndexOf(".");
		// return the string as is when it doesn't contain an extension
		if (pos == -1)
			return name;
		// otherwise return the string up to the dot
		return name.substring(0, pos);
	}
	
	public static String replace(String name, String ext) {
		// sanitize extension
		// note: if the extension is empty, just consider it as a shorthand for
		//       removing the extension
		if (ext == null)
			return remove(name);
		if (!ext.startsWith("."))
			ext = "." + ext;
		if (ext.length() <= 1)
			return remove(name);
		if (name == null)
			return null;
		// get position of last '.'
		int pos = name.lastIndexOf(".");
		// append the extension when the string doesn't already contain an extension
		if (pos == -1) 
			return name + ext;
		// otherwise return the string up to the dot plus the new extension
		return name.substring(0, pos) + ext;
	}

}
